package weaver.interfaces.sskj.job;

import cn.hutool.core.date.DateUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.engine.kq.biz.KQFormatBiz;
import com.engine.kq.timer.KQQueue;
import com.engine.kq.timer.KQTaskBean;
import com.engine.kq.wfset.util.SplitActionUtil;
import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.jayway.jsonpath.Configuration;
import com.jayway.jsonpath.JsonPath;
import org.apache.commons.lang3.StringUtils;
import weaver.conn.RecordSet;
import weaver.general.BaseBean;
import weaver.general.Util;
import weaver.interfaces.schedule.BaseCronJob;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.time.Duration;
import java.time.Instant;
import java.util.*;

import static weaver.interfaces.sskj.util.HttpsUtil.doPostJsonRequest;


/**
 * 清除考勤格式化线程表
 */
public class RemoveFormatPoolJob extends BaseCronJob {

    @Override
    public void execute() {
        new BaseBean();
        BaseBean bb = new BaseBean();

        bb.writeLog("RemoveFormatPoolJob Start");
        try {
            String removeSql = "delete from kq_format_pool where status = 1";
            RecordSet rs = new RecordSet();
            boolean removeFlag = rs.executeUpdate(removeSql);
            bb.writeLog("清除考勤格式化线程表结果: " + removeFlag);
        }catch (Exception e) {
            bb.writeLog("RemoveFormatPoolJob Exception: " + e);
        }

    }

}
